Bug 1051325 - [RFE][heat]: Autoscaling library independent of resources
Summary: [RFE][heat]: Autoscaling library independent of resources
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_ongoing upstream_s...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 05:04 UTC by RHOS Integration
Modified: 2016-11-24 05:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:13:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-10 05:04:45 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/as-lib.

Description:

Autoscaling logic should be refactored into a separate Python module to be used by the Autoscaling service.

This logic should:
- generate templates with scaled resources
- manage state in separate tables explicitly set up for autoscaling (such as cooldown tracking and rolling update status, or anything else that can't be inferred from previously generated templates / stacks and new requests)

This logic should *not*:
- manipulate stacks (that will be the responsibility of another component, e.g. the autoscaling service)



Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.